#################################################################################################
##     Définition des éléments spécifiques au jeu
## (Image, fonctions, transforms, variables, personnages, ...)
#################################################################################################

# IMAGES
image fond histoire = "fond.jpg"
image fond credits = "fond-credits.jpg"

# Image finale (la main tendue vers le ciel)
image fond fuite = "time/fuite.jpg"

#image
image fond couleur = "time/saut/nuage_couleur.jpg"

#Image de l'histoire
image time tatouage = "time/tatouage.jpg"
image time montres = "time/montres.jpg"
image time montremain = "time/montremain.jpg"
image time couple = "time/couple.jpg"
image time tour = "time/tour.jpg"
image time neige = "time/neige.jpg"
image time cadran = "time/cadran-Pradier.jpg"

# Image mouvante pour le "vagabond du temps"
image time composite:
    contains:
        "time/anim/composite1.jpg" with ImageDissolve("time/anim/masque1.png", 1.0)
        pause 0.9
        "time/anim/composite2.jpg" with ImageDissolve("time/anim/masque2.png", 1.0)
        pause 0.9
        "time/anim/composite3.jpg" with ImageDissolve("time/anim/masque3.png", 1.0)
        pause 0.9
        "time/anim/composite4.jpg" with ImageDissolve("time/anim/masque4.png", 1.0)
        pause 0.9
        "time/anim/composite2.jpg" with ImageDissolve("time/anim/masque3.png", 1.0)
        pause 0.9
        "time/anim/composite4.jpg" with ImageDissolve("time/anim/masque1.png", 1.0)
        pause 0.9
        "time/anim/composite1.jpg" with ImageDissolve("time/anim/masque4.png", 1.0)
        pause 0.9
        "time/anim/composite3.jpg" with ImageDissolve("time/anim/masque2.png", 1.0)
        pause 0.9
        repeat

#Image d'illustration de côté, "vide temporel"
image time noir = "time/vide.jpg"

# Cadre NVL
image cadre = "time/cadre.jpg"

# Image de base de l'animation pour le saut temporel
image animation saut:
    "time/saut/sunrise1.jpg"
    0.18
    "time/saut/sunrise2.jpg"
    0.18
    "time/saut/sunrise3.jpg"
    0.18
    "time/saut/sunrise4.jpg"
    0.18
    "time/saut/sunrise5.jpg"
    0.18
    "time/saut/sunrise6.jpg"
    0.18
    "time/saut/sunrise7.jpg"
    0.18
    "time/saut/sunrise8.jpg"
    0.18
    "time/saut/sunrise9.jpg"
    0.18
    "time/saut/sunrise10.jpg"
    0.18
    "time/saut/sunrise11.jpg"
    0.18
    "time/saut/sunrise12.jpg"
    0.18
    "time/saut/sunrise13.jpg"
    0.18
    "time/saut/sunrise14.jpg"
    0.18
    "time/saut/sunrise15.jpg"
    0.18
    "time/saut/sunrise16.jpg"
    0.18
    "time/saut/sunrise17.jpg"
    0.18
    "time/saut/sunrise18.jpg"
    0.18
    "time/saut/sunrise19.jpg"
    0.18
    "time/saut/sunrise20.jpg"
    0.18

# nuage de couleur (symbolisant le "vide temporel")
image fond noir = "time/saut/vide.jpg"

# Tranform pour le saut temporel (lignes mouvantes avec le fond nuage de couleur)
define translation = MultipleTransition([
    False,ImageDissolve("time/saut/masque1.png",0.2),
    True,ImageDissolve("time/saut/masque2.png",0.3),
    "time/saut/vide1.jpg",ImageDissolve("time/saut/masque3.png",0.3),
    True,ImageDissolve("time/saut/masque4.png",0.3),
    False,ImageDissolve("time/saut/masque5.png",0.3),
    True,ImageDissolve("time/saut/masque6.png",0.3),
    "time/saut/vide2.jpg",ImageDissolve("time/saut/masque2.png",0.3),
    True,ImageDissolve("time/saut/masque4.png",0.3),
    False,ImageDissolve("time/saut/masque6.png",0.3),
    True,ImageDissolve("time/saut/masque1.png",0.3),
    "time/saut/vide3.jpg",ImageDissolve("time/saut/masque3.png",0.3),
    True,ImageDissolve("time/saut/masque5.png",0.2),
    False,ImageDissolve("time/saut/masque1.png",0.3),
    True])

# Image pour "ctc" (curseur clignotant)
image ctc:
    "time/ctc1.png"
    0.5
    "time/ctc2.png"
    0.5
    repeat

    
# Styles spécifiques à l'histoire (utilisés pour les personnages et les crédits)
init -2:
    style time_titre:
        color "#111"
        font "time/Dotrice-Bold.otf"
        size 26
        background Solid("#54ff38")
        top_padding 8
        bottom_padding 3
        xpadding 5
        xmargin -5
        
    style time_recit:
        color "#54ff38"
        font "time/Audiowide-Regular.ttf"
        size 20
    
# personnage pour les titres des rapports
define l = Character(None, kind=nvl, window_background = Solid("#54ff38"), what_color = "#111", what_font = "time/Dotrice-Bold.otf", what_size = 26, window_top_padding = 8, window_bottom_padding = 3, window_xpadding = 5, window_xmargin = -5)#, what_slow_cps = 10)
# Narrateur
define a = Character(None, kind=nvl, what_color = "#54ff38", what_font = "time/Audiowide-Regular.ttf", what_size = 20, ctc= "ctc", ctc_pause="ctc", ctc_position="nestled")

# Variable pour le titre des entrées de journal (partie fixe)
define mission = _("Mission M/4fb10ca-4f3ad723\nCompte-rendu ")

image dissolution:
    "time/saut/nuage_couleur.jpg"
    0.2
    Solid("#000") with Dissolve(2.0)

# Image animée de fin
image saut final:
    "time/fuite.jpg"
    1.0
    "time/anim/fuite2.jpg" with Dissolve (0.5)
    0.5
    "time/anim/fuite3.jpg" with Dissolve (0.5)
    0.5
    "time/anim/fuite4.jpg" with Dissolve (0.5)
    0.5
    "time/anim/fuite5.jpg" with Dissolve (0.5)
    0.5
    "time/anim/fuite6.jpg" with Dissolve (0.5)
    0.5
    "time/anim/fuite7.jpg" with Dissolve (1.0)
    0.5
    "dissolution" with ImageDissolve("time/saut/masque1.png",1.0)

# Animation de saut, appelée par une instruction call dans l'histoire
label saut_temporel:
    stop music fadeout 2.0
    scene fond couleur
    with fade
    play sound "time/audio/teleport.ogg" loop
    scene fond noir
    scene animation saut with translation
    #pause 4.0
    scene fond noir
    stop sound
    show time noir at left
    show cadre at right
    return

# Définition des couleurs pour l'interface personnalisée
init -3:
    define accueil_color = "#b5743a" #"#7a4229"
    define accueil_shadow = "#000" #"#b5743a"
    
#################################################################################################
##     Récit
#################################################################################################
label histoire_time:
    
    # instruction pour éviter l'effacement du texte lors des transitions d'image
    window show
    
    # Affichage du fond général
    scene fond noir
    show cadre at right
    show time noir at left

    pause
    
    l "[mission!t]2d5"   
    
    show time tatouage with dissolve
    
    play music "time/audio/The_Starving_Time_-_The_Hospice_of_Orange_and_Sullivan_Counties.mp3"
    
    a "Aujourd'hui, un natif m'a encore interrogé sur mon tatouage."
    a "Je lui ai servi mon habituelle histoire de légende reprise dans un comics ; et j'ai douché ses espoirs de reproduction en parlant d'un tatoueur étranger."
    a "Interférence évitée une fois de plus ! Mais cela devient de plus en plus difficile."
    a "Car ce tatouage signifie tellement plus : il symbolise mon allégeance à l'Ordre des Agents Voyageurs."
    
    nvl clear

    a "L'Ordre a choisi cette forme car les tatouages ont toujours existé dans toutes les civilisations de toutes les époques ; {w}et aussi car ainsi, chaque Agent a toujours présent, gravé dans sa chair, son appartenance à l'Ordre."
    a "Son existence est le rappel constant des principes fondamentaux de la Charte : {w}pas d'interférences avec les natifs, qui ne doivent en aucun cas soupçonner l'existence de la translation temporelle, aucun voyage qui ne soit justifié par une mission officielle."
    a "Notre tâche est vraiment délicate : corriger les variations apportées au déroulement des événements, accidentellement ou par les translateurs illégaux, réparer les déviations de l'Histoire, assurer l'intégrité de la trame du temps."
    
    nvl clear

    a "Elle implique des responsabilités et un dévouement qu'aucun natif ne peut soupçonner."
    a "Voilà ce que ce tatouage symbolise. Quoi qu'il arrive et quelles que soient mes difficultés actuelles, je ne dois jamais oublier l'importance et les enjeux de ma mission."
    
    nvl clear
    stop music fadeout 2.0
    
    show time noir with dissolve
    l "[mission!t]40c"
    
    play music "time/audio/tictac-mix.ogg"
    
    show time montres with dissolve
    a "Encore une journée perdue à fouiller parmi les montres anciennes chez un brocanteur."    
    a "Cela fait déjà 1036 jours que je suis ici au 21ème siècle, 1036 jours que ma mission de routine est achevée avec succès, 1036 jours que mon régulateur s'est mis en surcharge et a explosé à l'arrivée, 1036 jours que je n'ai aucun moyen de prévenir la base."
    a "Les Tours de Voyage ne peuvent être activées que par un régulateur en état de marche, pour éviter toute activation accidentelle par un natif.{w} Ce dispositif de sécurité, que j'ai toujours approuvé, me mets bien dans l'embarras aujourd'hui : même les simples communications vers la base transitent obligatoirement par les Tours."
    
    nvl clear
    
    a "Impossible donc de contacter les Chefs d'Opération pour leur dire que la mission est achevée ou qu'il faudrait me faire parvenir un régulateur de rechange."
    a "Laisser d'autres traces à destination du futur serait trop dangereux : cela risquerait d'altérer la trame du temps."
    a "Dans ce genre de situation, nos instructions sont très claires : nous intégrer à la trame native sans nous faire remarquer, et si nous voulons rentrer, c'est par nos propres moyens."    
    a "Mon seul espoir, presque désespéré, est de trouver un des régulateurs primitifs disséminés par les chronoscientistes avant leur éradication."
    
    nvl clear
    
    a "Au moment de la découverte des mécanismes de la translation temporelle, d'âpres batailles idéologiques eurent lieu sur ce qu'il fallait faire d'une telle découverte."
    a "Les chronoscientistes, ces fous, pensaient que le voyage devait être libre, ouvert à tous."
    a "Ils se moquaient bien des précautions indispensables à tout voyage, des risques sur l'intégrité de la trame du temps, des conséquences catastrophiques engendrées par des interactions d'apparence la plus anodine..."
    
    nvl clear
    
    a "Heureusement, la Charte a été mise en place et aujourd’hui seuls les Agents Voyageurs sont autorisés à translater, uniquement en cas de nécessité absolue et avec la prudence qui s'impose. Les chronoscientistes ont tous été arrêtés et mis hors d'état de nuire."
    a "Cependant, avant leur éradication, ils avaient eu le temps, comme manoeuvre de la dernière chance, de disséminer des régulateurs basiques dans toutes les époques. La plupart du temps, ils leur ont donné l'apparence d'objets en rapport avec le temps, des montres majoritairement."
    a "Après de multiples missions, nous avons réussi à en récupérer le plus grand nombre, mais quelques unes ont pu échapper à notre vigilance."
    
    nvl clear
    
    a "C'est l'une de ces épaves égarées que je cherche avec obstination chez les brocanteurs et antiquaires, perdue au milieu du foisonnement des objets du passé dont les natifs de cette époque sont si friands."
    a "Jusqu'ici, mes recherches n'ont pas vraiment été couronnées de succès.{w} J'ai examiné des milliers de montres, et je n'ai rien trouvé, hormis un bout de régulateur incomplet et complètement cassé. Il n'y avait même pas moyen d'en récupérer un morceau comme pièce détachée."
    a "Je continue à chercher pourtant, c'est mon unique espoir."
    a "Demain je mettrai peut-être la main sur l'objet qui me permettra de rentrer à la base, transmettre enfin mes rapports et me voir assigner une nouvelle mission."
    
    nvl clear
    stop music fadeout 2.0
    
    show time noir with dissolve
    l "[mission!t]58e"
    
    show time montremain with dissolve
    play music "time/audio/JCL_-_Time_.mp3"
    
    a "Enfin !{w} J'ai enfin trouvé un régulateur en état de marche ! {w}après des mois et des mois de recherches, à examiner des milliers de cadrans, de rouages, de cristaux."
    a "Je dois bien avouer qu'il y a eu des jours où j'ai cru que je serai bloqué ici pour toujours.{w} Toutes ces époques pré-translation sont tellement... Je ne trouve pas de bon terme pour décrire ce que je ressens."
    a "Je fais bonne figure pour les natifs, grâce au conditionnement et à l'entraînement intensif reçu par tout Agent Voyageur, mais pour rien au monde je ne voudrais rester ici."
    a "Quand je pense qu'il y a des gens pour bricoler des régulateurs illégaux pour retourner vivre dans le passé..."
    
    nvl clear
    
    a "J'avoue que j'ai du mal à comprendre leur fascination pour ces civilisations révolues."
    a "Par exemple, dans ce siècle, les natifs semblent uniquement préoccupés de leur plaisir personnel, de l'étalage de leur vie privée et d'inventer des façons inédites de consommer leurs ressources toujours plus vite qu'ils ne peuvent les remplacer."
    a "Enfin, inutile d'être trop enthousiaste à propos de ma découverte, je ne suis pas encore rentré.{w} Le régulateur que j'ai trouvé est vraiment une antiquité, j'espère qu'il fonctionne encore correctement."    
    a "Ce qui est sûr c'est qu'il me permettra au mieux de translater, mais pas question de communiquer avec, il est trop vieux pour inclure ces fonctionnalités."
    
    nvl clear

    a "Dommage, mais c'est le mieux que je puisse espérer."
    a "Quand je pense que je l'ai négocié avec le brocanteur pour quasiment rien ! Heureusement, les natifs sont incapables de reconnaître et activer un régulateur..."
    a "Ils n'ont aucune idée de la valeur et du pouvoir d'un tel objet.{w} Pour eux, ce n'est rien qu'une vieille montre, passée de mode, et qui ne marche même pas très bien."
    a "J'ai pris bien soin de cacher mon enthousiasme au vendeur ; il en aurait sans doute profité pour tripler le prix !"
    a "Il ne me reste plus qu'à la tester à la Tour de Voyage la plus proche.{w} Croisons les doigts..."
    
    nvl clear
    stop music fadeout 2.0
    
    show time noir with dissolve
    l "[mission!t]592"
    
    show time tour with dissolve
    
    play music "time/audio/Gregoire_Lourme_-_Interstellar.mp3"
     
    a "Me voici à la Tour de Voyage TV/a02c43."
    a "Cela fait deux jours que j'effectue des tests avant de tenter d'utiliser le régulateur."
    a "Cela prend plus de temps que prévu, car comme il s'agit d'un matériel non homologué, je dois tout faire manuellement. Je suis aussi ralenti par la nécessité de ne pas me faire remarquer des natifs."
    a "Quand je pense que si j'avais encore mon régulateur d'Agent, il m'aurait suffit d'utiliser la fonction retour automatique, même pas besoin de Tour !"
    a "Non, il a fallu que je me retrouve coincé dans une époque lointaine avec un régulateur pirate..."
    
    nvl clear

    a "La seule chose dont je sois sûr, à ce stade, c'est que cette antiquité est active. D'après les détecteurs de la Tour, il s'agit bien d'un \"{i}Matériel à capacité translatrice{/i}\"."
    a "Malheureusement, comme c'est aussi un matériel non homologué, les détecteurs ne peuvent guère m'en dire plus. {w}L'engin ne semble même pas posséder d'interface de commande compatible avec celle de la Tour.{w} Communiquer avec la base est hors de question, comme je m'y attendais cet engin n'en a pas les capacités."
    a "Il aurait pourtant été beaucoup plus sûr de demander à ce qu'on m'envoie un matériel de rechange plutôt que de me soumettre aux caprices d'un régulateur totalement obsolète et sans doute aléatoire. Tant pis !"
    
    nvl clear

    a "Par contre, sans interface de communication avec la Tour, la synchronisation temporelle risque d'être vraiment délicate... {w}Il va falloir que je calcule manuellement le timecode de retour, en espérant que l'appareil me permette de l'entrer avec suffisamment de précision."
    a "Et je ne suis même pas sûr qu'il fonctionne correctement, cette époque n'a pas une technologie suffisamment évoluée pour que je puisse réaliser un véritable diagnostic de l'objet."
    a "J'aurais presque envie de faire un essai préalable, sur une époque plus proche, mais il s'agirait d'une translation illégale."
    
    nvl clear

    a "Même si, avec mon expérience d'Agent Voyageur, il n'y aurait que très peu de chances que je cause une interférence ou que je me fasse surprendre, je ne peux pas me résoudre à violer la Charte, même pour sauver ma propre vie."
    a "Les chronoscientistes étaient vraiment inconscients pour laisser se balader dans la nature des engins aussi peu fiables."
    a "Ils n'ont aucune idée de ce qu'on peut ressentir à être perdu dans le temps..."
    a "Allons, dès que j'aurais trouvé le moyen de faire les calculs, je tenterai le saut de retour."
    
    nvl clear
    
    # Saut temporel
    call saut_temporel
        
    show time neige at left with dissolve
    l "[mission!t]5a0"
    
    play music "time/audio/Gregoire_Lourme_-_Exoplanet.mp3" 
    
    a "Après avoir opéré toute une batterie de tests supplémentaires et procédé au calcul manuel du timecode {w}-et croyez-moi ce n'était pas une sinécure, mais il m'était impossible de laisser trace d'un tel calcul sur un ordinateur natif, trop risqué-{w} j'ai tenté le saut ce matin."
    a "C'est un fiasco total. {w}Je pense que ce régulateur est complètement désynchronisé, aussi bien temporellement que géographiquement."
    a "Je me retrouve en pleine nature, au milieu de nulle part. Je n'ai pas moyen de savoir où je suis ni à quelle époque. {w}Autour de moi, il n'y a que des arbres et de la neige."
    
    nvl clear

    a "Ma seule consolation est que je ne risque pas de provoquer d'interactions malencontreuses, il n'y a aucun natif à proximité, et probablement à des kilomètres à la ronde. {w}Ma présence ne va étonner ou effrayer personne."
    a "Le revers de la médaille, c'est que je ne suis pas équipé pour survivre dans le froid ambiant et loin de la civilisation."
    a "J'ai revêtu une tenue neutre, je n'ai emmené aucun accessoire, de peur de causer des interactions irréparables au cas où je ne me matérialiserais pas à l'époque et à l'endroit prévus.{w} Vu la façon dont les choses viennent de tourner, c'était le bon choix..."
    a "Je vais peut-être mourir de froid, mais j'aurai respecté la Charte."
    
    nvl clear
    
    a "Je prends quelques minutes pour réfléchir à mes options :"
    a " - je pars en exploration pour trouver un minimum de civilisation, déterminer un lieu et une date et peut-être trouver une Tour de Voyage qui me permettrait de tenter un nouveau saut de manière plus sécurisée ; mais je risque de provoquer des déviations graves, et en plus je ne suis même pas sûr de ne pas mourir en chemin avec ce froid mordant."
    a " - j'utilise l'énergie résiduelle du régulateur pour tenter un nouveau saut à l'aveugle. En inversant les réglages, je devrais me retrouver à mon point de départ en 2014. Enfin en théorie..."
    
    nvl clear

    a "Quelle est la solution la plus sure ? Laquelle me donne le plus de chances de rester en vie ?  de rentrer à la base ? {w}Mais la vraie question c'est : comment protéger au mieux la trame temporelle ?"
    a "Après réflexion, je conclus que mourir de froid au milieu de nulle part avec un régulateur activable est un trop grand risque. Retourner en 2014 est sans doute un moindre mal."
    a "J'inverse les paramètres du régulateur et je croise les doigts pour que les paramètres ne dévient pas trop..."
    nvl clear
    
    # Saut temporel
    call saut_temporel
    
    show time cadran at left with dissolve
    l "[mission!t]5a1"
    
    play music "time/audio/Alexander_Permyakov_-_The_night_before_the_execution__duet_.mp3"
    
    a "Nouveau saut, nouvel échec."
    a "Toutefois, ma situation est un peu meilleure : j'ai translaté à moins de 50 mètres d'une Tour de Voyage. {w}Il s'agit probablement de la TV/a02c43, mais visiblement pas à la bonne époque."
    a "Je dois être remonté à une période assez antérieure au 21ème siècle, où les Tours étaient signalées par des cadrans solaires.{w} À ces époques, les Tours ne sont que de simples relais d'énergie et de synchronisation, sans aucune électronique apparente.{w} À partir du 19ème, on peut dissimuler nos interfaces de commandes sophistiquées sous forme de cadrans et autres jauges, mais avant cela..."
    
    nvl clear

    a "Après avoir lutté pendant des mois contre le découragement, j'avais reformé d'immenses espoirs en dénichant cette montre-régulateur."
    a "Au final, ma situation s'est dégradée plutôt qu'améliorée. {w}J'ai presque cru être rentré, et maintenant j'ai l'impression d'en être encore plus loin qu'avant."
    a "Je maudis d'autant plus ces chronoscientistes dont les actes inconsidérés sont en train de tuer mon dernier espoir.{w} Plus que jamais je me félicite de l'anéantissement de leurs théories ridicules."
    a "Je prends le temps de recharger le régulateur et j'effectue rapidement quelques calculs approximatifs avant de tenter un nouveau saut."
    
    nvl clear
    
    # Saut temporel
    call saut_temporel
        
    show time composite at left with ImageDissolve("time/anim/masque5.png", 1.0)
    l "Mission M/4bf10ac-3f4ad237\nCompte-rendu  ... 84c (?)"
    
    play music "time/audio/Rod_-_Time.mp3" 
     
    a "Je suis devenu un vagabond du temps."
    a "Malgré de multiples essais, je n'ai toujours pas réussi à rentrer à la base ni même à retourner à mon époque de mission au 21ème siècle."
    a "Certes je maîtrise désormais un peu mieux le fonctionnement en partie aléatoire de l'appareil, mais comme il ne possède pas la précision nécessaire pour une translation vers la base d'opérations..."
    a "En plus, chaque voyage fragilise un peu plus les rouages et les composants de l'engin, le rendant encore plus aléatoire."
    
    nvl clear
    
    a "S'il dysfonctionne au milieu d'un saut, je me retrouverai réduit à l'état de particules élémentaires, sans possibilité de reconstruction moléculaire.{w} Ce serait vraiment la fin."
    a "Pour couronner le tout, j'ai effectué tellement de translations dans tellement de lieux de différents, que je suis probablement désormais un criminel du temps."
    a "Même si je m'efforce encore de créer le moins d'interactions possibles, tous ces voyages ne peuvent pas avoir été sans conséquences."
    a "Peut-être suis-je désormais devenu la mission d'un autre Agent, qui me poursuit à travers le temps au gré des fantaisies de mon régulateur déréglé."
    
    nvl clear
    
    a "Je ne reste jamais suffisamment longtemps au même endroit pour le découvrir.{w} Malgré les risques, je continue à voyager."
    a "Je ne peux et ne veux vivre à aucune autre époque que la mienne ;{w} et il reste toujours l'espoir infime que, par hasard, je me rematérialiserai exactement au bon endroit, au bon moment."

    nvl clear
    
    # Saut temporel
    call saut_temporel
    
    show time couple at left with dissolve
    l "Mission{size=15}... qui ça intéresse ?{/size}\nCompte-rendu {size=15}... sais plus ...{/size}"
    
    play music "time/audio/Project_Divinity_-_Inner_realm.mp3" 
    
    a "Je n'ai jamais été aussi près ni aussi loin de la base."
    a "Aujourd'hui, je me suis matérialisé à une époque de mon propre passé."
    a  "Soudain, je me rapelle ce jour-là :{w} j'étais à la fac, je sortais avec cette fille, je n'avais pas encore arrêté mon choix de carrière, pas encore décidé de sacrifier ma vie à la protection de la Trame du Temps."
    a "Dans quelques minutes, elle va partir assister à son cours et moi je vais me rendre à mon entraînement de muscu."
    a "Dans quelques jours, un représentant de l'Ordre des Agents Voyageurs viendra nous faire une présentation qui va faire basculer ma vie et faire naître ma vocation."
        
    nvl clear
    
    a "Dans quelques semaines, elle va me quitter, incapable de supporter mon choix de carrière et ses contraintes. D'ailleurs tous les Agents finissent célibataires..."
    a "Pourtant, à ce moment précis, nous avons l'air si heureux. {w}Comment avais-je pu oublier cela ?"
    a "À la regarder, à nous regarder, je réalise que j'ai peut-être eu tort de prêter mon serment d'Agent Voyageur : qu'est-ce que j'ai vraiment accompli ? {w}En réalité, je n'en sais rien."
    a "Nous recevons des ordres de mission : \"{i}Empêche l'individu X d'être à tel endroit tel jour tel heure.{/i}\", \"{i}Retrouve l'individu Y, neutralise-le et ramène-le à la base.{/i}\", \"{i}Dépose tel objet, à tel endroit avant tel jour telle heure.{/i}\"..."
    
    nvl clear
    
    a "Quels sont les effets réels de ce que nous accomplissons ? \"{i}Il est beaucoup plus sûr que vous ignoriez les détails, mais sachez que votre action est indispensable à la préservation de la Trame du Temps.{/i}\""
    a "Quelle connerie ! Mais nous avons été tellement bien conditionnés... {w}Il y a longtemps que nous ne nous posons plus de questions. Et pourtant..."
    a "Comment savoir si nous n'altérons pas la trame du temps plus que nous ne la protégeons ? Comment savoir si nous ne pourrions pas essayer de la transformer, en mieux ?"
    a "Et si j'avais choisi un autre destin ? Et si je ne m'étais pas enrôlé dans l'Ordre ? Si j'étais resté avec elle ?"
    
    nvl clear
    
    a "Je voudrais savoir ce que ça fait de vivre pour soi, et pas pour une mission qui nous dépasse."
    a "Une vie ordinaire, sans sacrifices, juste le train-train quotidien... Un job banal, une carrière tranquille, une femme qui vous attend le soir, une famille peut-être ? À quoi ça peut bien ressembler ?"
    a "Soudain, j'ai envie de la suivre, quand elle partira pour son cours, pour lui dire de m'empêcher d'aller à cette présentation. Je voudrais la convaincre de se battre pour me garder. Je voudrais lui dire que je veux essayer avec elle, et qu'elle doit à tout prix m'y obliger."
    a "Hélas, il m'est impossible d'interagir avec elle, ni avec qui ce soit à cette époque."
    
    nvl clear
    
    a "Oh, pas à cause de la Charte ! Non, je viens de décider que cette maudite Charte, il vaudrait mieux la jeter aux orties !"
    a "Pour le bien qu'elle m'a fait, la Charte ! Je lui ai tout sacrifié, et elle m'a laissé en plan, sans espoir de retour."
    a "La base devait bien savoir que j'avais un problème, puisque je ne revenais pas. Qu'est-ce que ça leur aurait coûté d'envoyer quelqu'un pour me chercher ? ou même simplement vérifier si j'étais encore vivant ?"
    a "{i}Oui... Mais... La Charte...{/i}"
    a "Je ne vois pas comment cela aurait créé plus d'interférences que de me laisser errer dans une époque qui n'est pas la mienne !"
    a "Allons, inutile de m'énerver ! Ce n'est pas à cause de la Charte que je suis impuissant ici."
    
    nvl clear
    
    a "Je ne peux rien faire car quand on se trouve dans une époque dans laquelle on existe physiquement, on est en quelque sorte invisible, immatériel."
    a "J'ai un vague souvenir d'histoires de léger décalage de phase, d'évitement de paradoxe temporel... Je n'avais pas très bien suivi à l'époque. {w}J'avoue que je n'étais pas très intéressé par tous ces trucs théoriques pendant ma formation d'Agent."
    a "Je ne me souviens même plus si ce phénomène est inhérent au fonctionnement de la translation ou un mécanisme de sécurité."
    a "Quelle importance désormais..."
    
    nvl clear
       
    a "Je ne peux que regarder ce petit couple d'amoureux, si heureux, si insouciants, et je ne peux pas les prévenir de ce qui les attend, je ne peux pas les protéger." 
    a "À quoi bon avoir la capacité de translater si je ne peux pas changer leur destin, mon destin."
    a "Soudain, je me sens très fatigué."
    a "Je ne veux pas rester ici, je sais trop bien comment l'histoire se finit, et ce n'est pas une fin que j'ai envie de revivre."
    a "Il y a une Tour de Voyage sur le campus. Je vais recharger le régulateur encore une fois et repartir. Vu l'état de l'engin, je pense qu'il ne marchera plus bien longtemps..."
    
    nvl clear
    # Saut temporel
    call saut_temporel
    
    scene fond couleur
    show cadre at right
    
    l "Mission{size=15}... de merde à la con !{/size}\nCompte-rendu {size=15}... rien à foutre...{/size}"
    
    play music "time/audio/Silence_-_Larmes.mp3" 
     
    a "Je suis seul."
    a "Je n'ai plus d'espoir."
    a "Plus rien n'a de sens."
    a "Je veux juste que tout s'arrête, être en paix."
    
# Affichage de la partie droite de l'image finale (comme illustration de gauche)
    show fond fuite:
        xpos -100
        #ypos 0
    with Dissolve(0.5)
    
    a "\nJe retire le cristal de stabilisation moléculaire du régulateur."
    a "Le soleil brille, la journée est magnifique."
    a "Je lance une dernière translation..."
    
    nvl clear
    # On fait glisser le cadre vers la droite
    show cadre:
        right
        linear 1.0 xoffset 600
    # On fait glisser l'image finale vers la droite également, en même temps
    show fond fuite:
        xpos -100
        linear 1.0 xpos 500
    pause 1.5
    scene saut final
    pause 10.0 # l'animation dure 5 secondes, on ajoute 5 secondes de noir pour faire bonne mesure.
    
  
#################################################################################################
##     Affichage des crédits
#################################################################################################
    window hide
    
    # on enregistre le volume pour pouvoir l'utiliser dans les screens de credits
    $ persistent.volume = _preferences.get_volume('music')
    
    # Affichage des crédits généraux
    call credits
    
    #Affichage des crédits spécifiques au jeu
    jump credits_time
        
    return